=== debian/changelog ===
rust-fips203-ffi (0.2.1-4) unstable; urgency=medium

  * Package fips203-ffi 0.2.1 from crates.io using debcargo 2.6.1
  * drop --link-from-system when building, avoid linkfarm

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Jun 2024 10:34:44 -0400

rust-fips203-ffi (0.2.1-3) unstable; urgency=medium

  * Package fips203-ffi 0.2.1 from crates.io using debcargo 2.6.1
  * improve build-time and runtime test of shared object

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Jun 2024 18:42:45 -0400

rust-fips203-ffi (0.2.1-2) unstable; urgency=medium

  * Package fips203-ffi 0.2.1 from crates.io using debcargo 2.6.1
  * No-op source-only re-upload for Debian Testing Migration.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Jun 2024 09:09:53 -0400

rust-fips203-ffi (0.2.1-1) unstable; urgency=medium

  * Package fips203-ffi 0.2.1 from crates.io using debcargo 2.6.1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Jun 2024 14:53:52 +0200
