=== debian/tests/control ===
Test-Command: cd tests && make AS_INSTALLED=true
Depends:
 build-essential,
 libfips203-dev,
