=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fips203-ffi-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fips203-ffi .*/crates/fips203-ffi/@ANY_VERSION@/download
