=== debian/changelog ===
rust-fips203-ffi (0.4.1-2) unstable; urgency=medium

  * Package fips203-ffi 0.4.1 from crates.io using debcargo 2.7.1
  * Fix up autopkgtests for python module

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 18 Oct 2024 11:38:26 -0400

rust-fips203-ffi (0.4.1-1) unstable; urgency=medium

  * Package fips203-ffi 0.4.1 from crates.io using debcargo 2.7.1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Oct 2024 17:18:06 -0400
