=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: rust-fips203-ffi
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 13),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  dh-sequence-python3,
- cargo:native,
- rustc:native (>= 1.70),
+ cargo:native <!nocheck>,
+ rustc:native (>= 1.70) <!nocheck>,
  python3-all,
- libstd-rust-dev,
- librust-fips203-0.2+default-dev (>= 0.2.1-~~),
+ libstd-rust-dev <!nocheck>,
+ librust-fips203-0.4+default-dev (>= 0.4.1-~~) <!nocheck>,
+ librust-rand-core-0.6+default-dev (>= 0.6.4-~~) <!nocheck>,
+ librust-rand-core-0.6+getrandom-dev (>= 0.6.4-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
@@ -26,7 +28,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Library for FIPS 203 (ML-KEM) IPD
+Description: Library for FIPS 203 (ML-KEM)
  This package contains a dynamic library (shared object) implementing
  the Module-Lattice-Based Key-Encapsulation Mechanism, also known as
  ML-KEM or FIPS 203.
@@ -38,7 +40,7 @@
  sent across the trust boundary in the clear), and focuses on
  correctness, simplicity, security, and a stable API.
  .
- See <https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.203.ipd.pdf>
+ See <https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.203.pdf>
  for a full description of the target functionality.
 
 Package: libfips203-dev
@@ -47,7 +49,7 @@
 Depends:
  ${misc:Depends},
  libfips203-0 (= ${binary:Version}),
-Description: Library for FIPS 203 (ML-KEM) IPD - development files
+Description: Library for FIPS 203 (ML-KEM) - development files
  This package enables a C programmer to use a dynamic library (shared
  object) implementing the Module-Lattice-Based Key-Encapsulation
  Mechanism, also known as ML-KEM or FIPS 203.
@@ -59,7 +61,7 @@
  encapsulation key sent across the trust boundary in the clear), and
  focuses on correctness, simplicity, security, and a stable API.
  .
- See <https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.203.ipd.pdf>
+ See <https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.203.pdf>
  for a full description of the target functionality.
 
 Package: python3-fips203
@@ -72,10 +74,10 @@
  ${python3:Depends},
  ${shlibs:Depends},
  libfips203-0 (= ${binary:Version}),
-Description: FIPS 203 (ML-KEM) IPD - Python module
+Description: FIPS 203 (ML-KEM) - Python module
  This package enables a Python programmer to easily use the
  Module-Lattice-Based Key-Encapsulation Mechanism, also known as
  ML-KEM or FIPS 203.
  .
- See <https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.203.ipd.pdf>
+ See <https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.203.pdf>
  for a full description of the target functionality.
