=== debian/changelog ===
rust-fips203-ffi (0.4.3-3) unstable; urgency=medium

  * Team upload.
  * Package fips203-ffi 0.4.3 from crates.io using debcargo 2.7.11
  * Regenerate d/control using current debcargo
  * Fix nocheck build (Closes: #1116899)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 01 Oct 2025 20:48:08 +0200

rust-fips203-ffi (0.4.3-2) unstable; urgency=medium

  * Package fips203-ffi 0.4.3 from crates.io using debcargo 2.7.7
  * Fix FTBFS due to upstream's Cargo.lock

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Mar 2025 11:40:41 -0500

rust-fips203-ffi (0.4.3-1) unstable; urgency=medium

  * Package fips203-ffi 0.4.3 from crates.io using debcargo 2.7.7

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Mar 2025 20:27:11 -0500
