=== debian/control ===
--- 
+++ 
@@ -4,22 +4,20 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
  dh-sequence-python3,
- cargo:native <!nocheck>,
- rustc:native (>= 1.70) <!nocheck>,
+Build-Depends-Arch: cargo:native,
+ rustc:native (>= 1.70),
  python3-all,
- libstd-rust-dev <!nocheck>,
- librust-fips203-0.4+default-dev (>= 0.4.1-~~) <!nocheck>,
- librust-rand-core-0.6+default-dev (>= 0.6.4-~~) <!nocheck>,
- librust-rand-core-0.6+getrandom-dev (>= 0.6.4-~~) <!nocheck>
+ libstd-rust-dev,
+ librust-fips203-0.4+default-dev (>= 0.4.2-~~),
+ librust-rand-core-0.6+default-dev (>= 0.6.4-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fips203-ffi]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fips203-ffi
+Homepage: https://github.com/integritychain/fips203
 X-Cargo-Crate: fips203-ffi
-Rules-Requires-Root: no
-Homepage: https://crates.io/crates/fips203-ffi
 
 Package: libfips203-0
 Section: libs
