=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	dh $@ --with python3
 
 override_dh_auto_configure:
+	rm -f Cargo.lock
 	$(CARGO) prepare-debian /usr/share/cargo/registry
 
 override_dh_auto_build:
