=== debian/tests/control ===
--- 
+++ 
@@ -2,3 +2,8 @@
 Depends:
  build-essential,
  libfips203-dev,
+
+Test-Command: cd python && ./test/nist/keygen.py
+Depends:
+ librust-fips203-dev,
+ python3-fips203,
