=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fips203-ffi
Matching-Pattern:  .*/crates/fips203-ffi/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/fips203-ffi-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
